---
#
# This is the canonical configuration for the `README.md`
# Run `make readme` to rebuild the `README.md`
#

# Name of this project
name: terraform-aws-ec2-cloudwatch-sns-alarms

# Logo for this project
#logo: docs/logo.png

# License of this project
license: "APACHE2"

# Canonical GitHub repo
github_repo: cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms

# Badges to display
badges:
  - name: "Build Status"
    image: "https://travis-ci.org/cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms.svg?branch=master"
    url: "https://travis-ci.org/cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms"
  - name: "Latest Release"
    image: "https://img.shields.io/github/release/cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms.svg"
    url: "https://github.com/cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms/releases"
  - name: "Slack Community"
    image: "https://slack.cloudposse.com/badge.svg"
    url: "https://slack.cloudposse.com"

related:
  - name: "terraform-aws-cloudwatch-logs"
    description: "Terraform Module to Provide a CloudWatch Logs Endpoint"
    url: "https://github.com/cloudposse/terraform-aws-cloudwatch-logs"

  - name: "terraform-aws-cloudwatch-flow-logs"
    description: "Terraform module for enabling flow logs for vpc and subnets."
    url: "https://github.com/cloudposse/terraform-aws-cloudwatch-flow-logs"

  - name: "terraform-aws-efs-cloudwatch-sns-alarms"
    description: "Terraform module that configures CloudWatch SNS alerts for EFS"
    url: "https://github.com/cloudposse/terraform-aws-efs-cloudwatch-sns-alarms"

  - name: "terrform-aws-elasticache-cloudwatch-sns-alarms"
    description: "Terraform module that configures CloudWatch SNS alerts for ElastiCache"
    url: "https://github.com/cloudposse/terraform-aws-elasticache-cloudwatch-sns-alarms"

  - name: "terraform-aws-lambda-cloudwatch-sns-alarms"
    description: "Terraform module for creating a set of Lambda alarms and outputting to an endpoint"
    url: "https://github.com/cloudposse/terraform-aws-lambda-cloudwatch-sns-alarms"

  - name: "terraform-aws-rds-cloudwatch-sns-alarms"
    description: "Terraform module that configures important RDS alerts using CloudWatch and sends them to an SNS topic"
    url: "https://github.com/cloudposse/terraform-aws-rds-cloudwatch-sns-alarms"

  - name: "terraform-aws-sqs-cloudwatch-sns-alarms"
    description: "Terraform module for creating alarms for SQS and notifying endpoints"
    url: "https://github.com/cloudposse/terraform-aws-sqs-cloudwatch-sns-alarms"

# Short description of this project
description: |-
  Terraform module for creating alarms for tracking important changes and occurrences from ec2 instances.
# How to use this project
usage: |-
  ```hcl
  module "ec2_service_alarms" {
    source         = "git::https://github.com/cloudposse/terraform-aws-ec2-cloudwatch-sns-alarms.git?ref=tags/0.1.0"
    namespace      = "cp"
    stage          = "prod"
    name           = "app"
    cluster_name   = "example"
    service_name   = "app"
  }
  ```
# Example usage
#examples: |-

# How to get started quickly
#quickstart: |-
#  Here's how to get started...

# Other files to include in this README from the project folder
include:
  - "docs/terraform.md"

# Contributors to this project
contributors:
  - name: "Erik Osterman"
    homepage: "https://github.com/osterman"
    avatar: "http://s.gravatar.com/avatar/88c480d4f73b813904e00a5695a454cb?s=144"
    github: "osterman"
  - name: "Jamie Nelson"
    homepage: "https://github.com/Jamie-BitFlight"
    avatar: "https://avatars0.githubusercontent.com/u/25075504?s=144&u=ac7e53bda3706cb9d51907808574b6d342703b3e&v=4"
    github: "Jamie-BitFlight"
  - name: "Sarkis Varozian"
    homepage: "https://github.com/sarkis"
    avatar: "https://avatars3.githubusercontent.com/u/42673?s=144&v=4"
    github: "sarkis"